#!c:/perl/bin/perl.exe
use warnings;
use strict;
use diagnostics;

## A simple capture
my $string = "File code=123 name=test.txt";

if ($string =~ /code=(\d+)\s+name=([\w\.]+)/) {
	print "Code is $1\nName is '$2'\n";
}

## A more complex capture
open (IN,"../Resources/tale_of_two_cities.txt") or die "Can't read file $!";

my %q_count;
while (<IN>) {
	while (/\b(Q\w+)\b/g) {
		++$q_count{$1};
	}
}	

foreach my $word (sort {$q_count{$b}<=>$q_count{$a}} keys %q_count) {
	print "The word $word appeared ",$q_count{$word}," times\n";
}
